commit 7caafa0227fd87cd8348ba8d7bfdb5ebe0e4d690
Author: freddy77 <freddy77>
Date:   Mon Nov 23 08:50:28 2009 +0000

    Use strtok_r instead of strtok to be more thread safe

diff --git a/ChangeLog b/ChangeLog
index cae9bec..15af39a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Mon Nov 23 09:48:23 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/ct.c src/dblib/bcp.c:
+	- Use strtok_r instead of strtok to be more thread safe
+
 Sun Nov 22 16:46:00 EST 2009	JK Lowden <jklowden@freetds.org>
 	* src/tds/config.c src/tds/mem.c
 	- No error if valid DNS name not in freetds.conf. 
@@ -1897,4 +1901,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2884 2009/11/22 21:49:48 jklowden Exp $
+$Id: ChangeLog,v 1.2885 2009/11/23 08:50:28 freddy77 Exp $
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index f79f909..aa7b79e 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.199 2009/10/02 09:24:07 freddy77 Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.200 2009/11/23 08:50:28 freddy77 Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -395,10 +395,10 @@ ct_con_props(CS_CONNECTION * con, CS_INT action, CS_INT property, CS_VOID * buff
 			break;
 		case CS_SERVERADDR: {
 			/* Format of this property: "[hostname] [port]" */
-			char *host, *port;
+			char *host, *port, *lasts;
 			int portno;
-			host= strtok(set_buffer, " ");
-			port= strtok(NULL, " ");
+			host= strtok_r(set_buffer, " ", &lasts);
+			port= strtok_r(NULL, " ", &lasts);
 			if (!host || !port)
 				return CS_FAIL;
 
diff --git a/src/dblib/bcp.c b/src/dblib/bcp.c
index 0c03301..f9fa780 100644
--- a/src/dblib/bcp.c
+++ b/src/dblib/bcp.c
@@ -61,7 +61,7 @@
 #define MAX(a,b) ( (a) > (b) ? (a) : (b) )
 #endif
 
-TDS_RCSID(var, "$Id: bcp.c,v 1.188 2009/08/25 14:25:35 freddy77 Exp $");
+TDS_RCSID(var, "$Id: bcp.c,v 1.189 2009/11/23 08:50:28 freddy77 Exp $");
 
 #ifdef HAVE_FSEEKO
 typedef off_t offset_type;
@@ -1976,6 +1976,7 @@ _bcp_readfmt_colinfo(DBPROCESS * dbproc, char *buf, BCP_HOSTCOLINFO * ci)
 	int whichcol;
 	char term[30];
 	int i;
+	char *lasts;
 
 	enum nextcol
 	{
@@ -1993,7 +1994,7 @@ _bcp_readfmt_colinfo(DBPROCESS * dbproc, char *buf, BCP_HOSTCOLINFO * ci)
 	assert(ci);
 	tdsdump_log(TDS_DBG_FUNC, "_bcp_readfmt_colinfo(%p, %s, %p)\n", dbproc, buf, ci);
 
-	tok = strtok(buf, " \t");
+	tok = strtok_r(buf, " \t", &lasts);
 	whichcol = HOST_COLUMN;
 
 	/* TODO use a better way to get an int atoi is very error prone */
@@ -2112,7 +2113,7 @@ _bcp_readfmt_colinfo(DBPROCESS * dbproc, char *buf, BCP_HOSTCOLINFO * ci)
 			break;
 
 		}
-		tok = strtok(NULL, " \t");
+		tok = strtok_r(NULL, " \t", &lasts);
 	}
 	if (whichcol == NO_MORE_COLS)
 		return (TRUE);

